<script>
export default {
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
};
</script>
<template>
  <div class="container">
    <SlpContainer
      :data-aos="'fade-up'"
      :data-aos-duration="1600"
      :data-aos-offset="200"
    >
      <div class="slp-mb-48">
        <SlpTypography tag="h1" variant="heading1-bold">{{
          data.title
        }}</SlpTypography>
      </div>
      <div class="cards-container">
        <div
          v-for="(card, index) in data.cards"
          :key="card.header + index"
          class="card"
        >
          <div>
            <SlpIcon
              class="slp-mb-16"
              :name="card.icon"
              :variant="'marketing'"
              size="md"
            />
            <SlpTypography tag="h4" variant="heading4-bold" class="slp-mb-24">
              {{ card.header }}</SlpTypography
            >
            <SlpTypography tag="p" variant="body1">{{
              card.description
            }}</SlpTypography>
          </div>

          <SlpButton
            v-if="!card.link.href"
            variant="tertiary"
            class="card__button card__button--watch"
            @click.native="$emit('show-modal')"
            ><SlpTypography tag="span" variant="body2-bold">{{
              card.link.text
            }}</SlpTypography>
            <nuxt-img
              class="slp-ml-8"
              src="/nuxt-images/icons/play-circle.svg"
              alt="play icon"
              loading="lazy"
              format="webp"
              quality="99"
          /></SlpButton>
          <SlpButton
            v-if="card.link.href"
            variant="tertiary"
            class="card__button"
            :href="card.link.href"
            :data-ga-name="card.link.data_ga_name"
            :data-ga-location="card.link.data_ga_location"
            ><SlpTypography tag="span" variant="body2-bold">{{
              card.link.text
            }}</SlpTypography>
            <SlpIcon
              class="slp-ml-8"
              :name="card.link.icon.name"
              :variant="card.link.icon.variant || 'marketing'"
              :alt="card.link.icon.alt"
          /></SlpButton>
        </div>
      </div>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.container {
  background: $color-surface-800;
  padding: $spacing-96 0;

  .cards-container {
    display: flex;
    justify-content: space-between;

    @media (max-width: $breakpoint-md) {
      flex-direction: column;
    }

    .card {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      background: $color-surface-50;
      border-radius: 4px;
      height: 284px;
      width: 540px;
      padding: $spacing-32;

      @media (max-width: $breakpoint-md) {
        max-width: 100%;
        height: 346px;
        margin-bottom: $spacing-32;
      }

      &__button {
        padding-left: 0 !important;

        &--watch:hover img {
          transition: transform 0.4s ease;
          transform: translateX($spacing-8);
        }
      }
    }
  }
}
</style>
